Package ru.nilsoft.tm

# Class TMCommand.unit_id

java.lang.Object
ru.nilsoft.tm.TMCommand.unit_id

Enclosing class:
  `TMCommand`

public static final class TMCommand.unit_id extends Object
Значения реквизита «мера количества предмета расчета» (тег 2108) [ФФД 1.2 и выше].

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `DAY`
  Сутки.
  `static final byte`
  `DM`
  Дециметр.
  `static final byte`
  `DM2`
  Квадратный дециметр.
  `static final byte`
  `G`
  Грамм.
  `static final byte`
  `GB`
  Гигабайт.
  `static final byte`
  `GC`
  Гигакалория.
  `static final byte`
  `HOUR`
  Час.
  `static final byte`
  `KB`
  Килобайт.
  `static final byte`
  `KG`
  Килограмм.
  `static final byte`
  `KW_H`
  Киловатт час.
  `static final byte`
  `L`
  Литр.
  `static final byte`
  `M`
  Метр.
  `static final byte`
  `M2`
  Квадратный метр.
  `static final byte`
  `M3`
  Кубический метр.
  `static final byte`
  `MB`
  Мегабайт.
  `static final byte`
  `MIN`
  Минута.
  `static final byte`
  `ML`
  Миллилитр.
  `static final byte`
  `OTHER`
  Применяется при использовании иных единиц измерения.
  `static final byte`
  `PCS`
  Применяется для предметов расчета, которые могут быть реализованы поштучно или единицами.
  `static final byte`
  `SEC`
  Секунда.
  `static final byte`
  `SM`
  Сантиметр.
  `static final byte`
  `SM2`
  Квадратный сантиметр.
  `static final byte`
  `T`
  Тонна.
  `static final byte`
  `TB`
  Терабайт.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `unit_id()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PCS

    public static final byte PCS
    Применяется для предметов расчета, которые могут быть реализованы поштучно или единицами.
    See Also:
      - Constant Field Values

  - ### G

    public static final byte G
    Грамм.
    See Also:
      - Constant Field Values

  - ### KG

    public static final byte KG
    Килограмм.
    See Also:
      - Constant Field Values

  - ### T

    public static final byte T
    Тонна.
    See Also:
      - Constant Field Values

  - ### SM

    public static final byte SM
    Сантиметр.
    See Also:
      - Constant Field Values

  - ### DM

    public static final byte DM
    Дециметр.
    See Also:
      - Constant Field Values

  - ### M

    public static final byte M
    Метр.
    See Also:
      - Constant Field Values

  - ### SM2

    public static final byte SM2
    Квадратный сантиметр.
    See Also:
      - Constant Field Values

  - ### DM2

    public static final byte DM2
    Квадратный дециметр.
    See Also:
      - Constant Field Values

  - ### M2

    public static final byte M2
    Квадратный метр.
    See Also:
      - Constant Field Values

  - ### ML

    public static final byte ML
    Миллилитр.
    See Also:
      - Constant Field Values

  - ### L

    public static final byte L
    Литр.
    See Also:
      - Constant Field Values

  - ### M3

    public static final byte M3
    Кубический метр.
    See Also:
      - Constant Field Values

  - ### KW_H

    public static final byte KW_H
    Киловатт час.
    See Also:
      - Constant Field Values

  - ### GC

    public static final byte GC
    Гигакалория.
    See Also:
      - Constant Field Values

  - ### DAY

    public static final byte DAY
    Сутки.
    See Also:
      - Constant Field Values

  - ### HOUR

    public static final byte HOUR
    Час.
    See Also:
      - Constant Field Values

  - ### MIN

    public static final byte MIN
    Минута.
    See Also:
      - Constant Field Values

  - ### SEC

    public static final byte SEC
    Секунда.
    See Also:
      - Constant Field Values

  - ### KB

    public static final byte KB
    Килобайт.
    See Also:
      - Constant Field Values

  - ### MB

    public static final byte MB
    Мегабайт.
    See Also:
      - Constant Field Values

  - ### GB

    public static final byte GB
    Гигабайт.
    See Also:
      - Constant Field Values

  - ### TB

    public static final byte TB
    Терабайт.
    See Also:
      - Constant Field Values

  - ### OTHER

    public static final byte OTHER
    Применяется при использовании иных единиц измерения.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### unit_id

    public unit_id()